BugTraq
[ MDVSA-2014:198 ] mediawiki Oct 21 2014 08:25AM
security mandriva com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2014:198
http://www.mandriva.com/en/support/security/
_______________________________________________________________________

Package : mediawiki
Date : October 21, 2014
Affected: Business Server 1.0
_______________________________________________________________________

Problem Description:

Updated mediawiki packages fix security vulnerability:

MediaWiki before 1.23.4 is vulnerable to cross-site scripting due to
JavaScript injection via CSS in uploaded SVG files (CVE-2014-7199).

MediaWiki before 1.23.5 is vulnerable to cross-site scripting due to
JavaScript injection via user-specificed CSS in certain special pages
(CVE-2014-7295).
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-7199
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-7295
http://advisories.mageia.org/MGASA-2014-0400.html
_______________________________________________________________________

Updated Packages:

Mandriva Business Server 1/X86_64:
7e80410414081b6b68018ee299c49881 mbs1/x86_64/mediawiki-1.23.4-1.mbs1.noarch.rpm
862c4e92d28fa4ee46a890088f8160c7 mbs1/x86_64/mediawiki-mysql-1.23.4-1.mbs1.noarch.rpm
857211f0f527073935f620f782cf23e8 mbs1/x86_64/mediawiki-pgsql-1.23.4-1.mbs1.noarch.rpm
c70e3947b14798057979966b520a3fb4 mbs1/x86_64/mediawiki-sqlite-1.23.4-1.mbs1.noarch.rpm
bbb7bfeaf04c466bc5de0d6a934f0faf mbs1/SRPMS/mediawiki-1.23.4-1.mbs1.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFURgpUmqjQ0CJFipgRAquLAKDLDTc1fzszSWhBrLaeLzmeLMnCTgCdE73M
7nt6++Nmk1HnBJmABzKFu08=
=gEDE
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus